# TIFFReadRawTile

## Synopsis

    #include <tiffio.h>

tmsize_t TIFFReadRawTile(TIFF *tif, uint32_t tile, void *buf, tmsize_t size)

## Description

Read the contents of the specified tile into the (user supplied) data buffer. Note that the value of tile is a "raw tile number". That is, the caller must take into account whether or not the data is organized in separate planes (`PlanarConfiguration` = 2). `TIFFComputeTile()` automatically does this when converting an (x,y,z,sample) coordinate quadruple to a tile number. To read a full tile of data the data buffer should typically be at least as large as the value returned by `TIFFTileSize()`.

## Return values

The actual number of bytes of data that were placed in buf is returned; `TIFFReadRawTile()` returns -1 if an error was encountered.

## Diagnostics

All error messages are directed to the `TIFFErrorExtR()` routine.

## See also

TIFFOpen (3tiff), TIFFReadEncodedTile (3tiff), TIFFReadTile (3tiff), TIFFtile (3tiff), libtiff (3tiff)